=== debian/changelog ===
condor (7.6.0-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 19 Apr 2011 19:43:51 -0400

condor (7.6.0-1) UNRELEASED; urgency=low

  * New upstream stable release.
  * Adjusted patches.
  * Added missing debhelper dependencies.
  * Added missing sysv-style init script symlinks.
  * Fixed various typos.
  * Prevent local classad header files from being used, in favor of
    system-wide libclassad installations.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Apr 2011 22:07:08 -0400

condor (7.5.5+git995-ga9a0d2a-1) UNRELEASED; urgency=low

  * New upstream code from V7.6 branch. Updated various patches, removed some
    merged ones.
  * No longer compile the 'contrib' parts -- upstream recommended it due to
    lack of stability.
  * Added patch to create /var/run/condor upon daemon startup with proper
    permissions. That helps to conform to the FHS that declares /var/run as
    volatile and to be cleaned upon boot. Moreover, some systems have /var/run
    mounted as tmpfs.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Mar 2011 16:37:56 -0400

condor (7.5.4+git567-gb10f6b4-2) UNRELEASED; urgency=low

  * Applied patch to allow adding submit specs in condor_run calls. Thanks to
    Matthew Farrellee <matt@redhat.com>.
  * Improved configuration for a "Personal Condor". Bind network traffic to
    the loopback interface. Better documentation in the generated
    configuration file.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Jan 2011 17:28:59 -0500

condor (7.5.4+git567-gb10f6b4-1) UNRELEASED; urgency=low

  * Initial release (Closes: #233482).

 -- Michael Hanke <mih@debian.org>  Sun, 26 Dec 2010 10:10:19 -0500
